System Requirements

These system requirements list the installation, configuration, and feature usage prerequisites for Host Integration Server 2020.

Requirements

Minimum requirement
Hardware - Computer or virtual machine (VM) with 64-bit X64 architecture processor
- 6GB of available drive space
- 800 x 600 screen resolution for administration tools
- 1024 x 768 resolution for visual design tools
Operating Systems - Windows Server 2019
- Windows Server 2016
- Windows 10
- Virtualization with Azure and Hyper-V
.NET Framework Microsoft .NET Framework 4.8 (https://dotnet.microsoft.com/download/dotnet-framework/net48).
Visual Studio The HIS designer supports the following Visual Studio versions:

- Visual Studio 2019
- Visual Studio 2017
BizTalk Adapters and Tools Supported BizTalk Server versions:

- BizTalk Server 2020
- BizTalk Server 2016
Data Integration Data integration clients and DRDA Service support the following SQL Server versions:

- SQL Server 2019
- SQL Server 2017
- SQL Server 2016
WCF Channel for MQ and BizTalk adapter for MQ Series Client (MQSC) Supported IBM WebSphere versions to configure the WCF Channel for MQ and BizTalk Adapter for MQSC:

- IBM MQ 9.1
- IBM MQ 9
- IBM MQ 8
IBM operating systems Supported IBM OS' to use the network integration features, including SNA services and terminal emulators:

- IBM z/OS 2.3
- IBM z/OS 2.2
- IBM z/VM 6.3
- IBM z/VSE 6.2
- IBM i 7.3
- IBM i 7.2
IBM transaction processing systems Supported IBM transaction processing systems to use the Transaction Integrator and BizTalk Adapter for Host Applications:


- IBM CICS 5.4
- IBM CICS 5.3
- IBM CICS 5.2
- IMS 14.1
- IMS 13.1
- IBM i 7.3
- IBM i 7.2
IBM message processing systems Supported IBM message processing systems to use the WCF Channel for WebSphere MQ and BizTalk Adapter for MQSC:

- IBM MQ 9.1
- IBM MQ 9.0
- IBM MQ 8.0
IBM file systems Supported IBM host files systems to use the ADO.NET provider for Host files and BizTalk Adapter for Host files:

- IBM DFSMS DFM for z/OS 2.3
- IBM DFSMS DFM for z/OS 2.2
- IBM i 7.3
- IBM i 7.2
IBM relational database management systems Supported IBM relational database management systems to use the DB2 and Informix clients (OLE DB, ADO.NET, BizTalk Adapter):

- IBM DB2 for z/OS 12
- IBM DB2 for z/OS 11
- IBM DB2 for i 7.3
- IBM DB2 for i 7.2
- IBM DB2 for LUW 11.5
- IBM DB2 for LUW 11
- IBM DB2 for LUW 10.5
- IBM Informix 12.1
- IBM Informix 11.7

Supported IBM relational database management systems to use the Service for DRDA:

- IBM DB2 for z/OS 12
- IBM DB2 for z/OS 11
- IBM DB2 for i 7.3
- IBM DB2 for i 7.2

Next steps

Install HIS or migrate from a previous version.